# Class: Sinusoidal

## Phaser.Easing. Sinusoidal

#### new Sinusoidal()

  Sinusoidal easing.

  Source:
    - tween/Easing.js, line 234

### Methods

#### In(k) → {number}

  Sinusoidal ease-in.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 241

  ##### Returns:

  The tweened value.

  Type
    number

#### InOut(k) → {number}

  Sinusoidal ease-in/out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 267

  ##### Returns:

  The tweened value.

  Type
    number

#### Out(k) → {number}

  Sinusoidal ease-out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 254

  ##### Returns:

  The tweened value.

  Type
    number